powerstat (0.02.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Increase temp buf from 16 to 32 bytes, cleans up gcc warning
  * Add more scanf sanity checking
  * debian/control: update Standards-version to 4.1.1
  * voidify function returns
  * use sizeof an object rather than the objects type
  * Don't use sentinel for end of signals[], use array size instead
  * include <sys/uio.h> for writev
  * powerstat: break wide macro over 2 lines

 -- Colin King <colin.king@canonical.com>  Thu, 19 Oct 2017 09:48:11 +0100

powerstat (0.02.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add snapcraft files to dist rule
  * Fix incorrect GPU stats when sample rate is not 1 second (LP: #1699134)
  * snapcraft: add default type and grade keys
  * snapcraft: Makefile: remove icon hack
  * reduce the scope of the variable 'buf'
  * snapcraft.yaml: remove bogos unnecessary libs
  * Add snapcraft files
  * update copyright year

 -- Colin King <colin.king@canonical.com>  Tue, 20 Jun 2017 14:00:01 +0100

powerstat (0.02.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add mascot to dist rule
  * Remove two blank lines
  * Allow float compares a little slop
  * Makefile: add PEDANTIC flags
  * Add powerstat mascot

 -- Colin King <colin.king@canonical.com>  Thu, 1 Dec 2016 12:21:12 +0100

powerstat (0.02.10-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 3.9.8

 -- Colin King <colin.king@canonical.com>  Thu, 5 May 2016 13:29:22 +0100

powerstat (0.02.09-1) unstable; urgency=medium

  * Makefile: bump version
  * Do not overflow power domain and thermal zone buffers (LP: #1551297)
  * Tag RAPL stats as valid so stats show up in avg, std.dev. (LP: #1551287)

 -- Colin King <colin.king@canonical.com>  Thu, 3 Mar 2016 11:52:11 +0000

powerstat (0.02.08-1) unstable; urgency=medium

  * Makefile: bump version
  * Move N/A message for GPU power right one char
  * Add some more per function comments
  * constify a few more func args
  * Make all non-main functions static
  * Minor fix up on GPU Watts field
  * Add GPU average stats
  * Clean up column formatting
  * add -g GPU stats
  * Update and correct copyright years

 -- Colin King <colin.king@canonical.com>  Thu, 25 Feb 2016 14:34:07 +0000

powerstat (0.02.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: re-work some parts of the manual
  * Manual: add missong comma in SEE ALSO list
  * Move structure links to head of structures
  * Use a more efficient hashing function

 -- Colin King <colin.king@canonical.com>  Sat, 28 Nov 2015 17:40:42 +0000

powerstat (0.02.06-1) unstable; urgency=medium

  * Makefile: bump version
  * allocate log item with correct size (LP: #1506168)

 -- Colin King <colin.king@canonical.com>  Wed, 14 Oct 2015 19:16:35 +0100

powerstat (0.02.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix allocation of log_item, as allocating with incorrect struct

 -- Colin King <colin.king@canonical.com>  Wed, 9 Sep 2015 10:01:02 +0100

powerstat (0.02.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Update debian/compat to 9
  * Fix dates in changelog
  * Update date in manual
  * Add power-calibrate reference in manual
  * Update usage, use options rather than partial list of opts

 -- Colin King <colin.king@canonical.com>  Tue, 1 Sep 2015 09:27:25 +0100

powerstat (0.02.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Handle read errors from reading comm and/or cmdline files

 -- Colin King <colin.king@canonical.com>  Fri, 10 Jul 2015 11:29:00 +0100

powerstat (0.02.02-1) unstable; urgency=medium

  * Makefile: bump version
  * manual: improve the -z option
  * Add -a (all) option
  * When using -z, set sample delay to zero if not specified
  * ensure we don't get buffer overflow on comm and cmdline reads
  * Add thread/child detection, add better proc name fetching

 -- Colin King <colin.king@canonical.com>  Thu, 2 Jul 2015 09:52:00 +0100

powerstat (0.02.01-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix power formatting when E estimate is being displayed
  * Check for insane temperatures, set to zero if out of range
  * Re-enable -z option

 -- Colin King <colin.king@canonical.com>  Wed, 24 Jun 2015 14:51:00 +0100

powerstat (0.02.00-1) unstable; urgency=medium

  * Makefile: bump to version 0.02.00
  * Add thermal zone temperature monitoring

 -- Colin King <colin.king@canonical.com>  Fri, 19 Jun 2015 10:35:00 +0100

powerstat (0.01.40-1) unstable; urgency=medium

  * Makefile: bump version
  * Add CPU frequencies to histogram mode
  * Update date on manual
  * Don't divide by floating point zero, clarify CPU freq average calculation
  * Add check to ensure we don't free scandir list when no entries found
  * Fix a couple of warnings found on ARM builds
  * Add the -n no headings option
  * Add in a new -f CPU frequency option

 -- Colin King <colin.king@canonical.com>  Thu, 11 Jun 2015 07:56:00 +0100

powerstat (0.01.39-1) unstable; urgency=medium

  * Makefile: bump version
  * Ensure we scan a buffer correctly
  * Add -c "C-state" option
  * Make statistics #defines into a stat_type enumeration
  * Specify integer types with stdint int types
  * Clean up comments, add more comments where necessary
  * pass tv into double_to_timeval rather than returning a timeval struct
  * Remove "Battery" from message since we can measure using RAPL

 -- Colin King <colin.king@canonical.com>  Sun, 7 Jun 2015 19:50:00 +0100

powerstat (0.01.38-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove signal handling for SIGILL, SIGABRT
  * Makefile: add copyright

 -- Colin King <colin.king@canonical.com>  Mon, 18 May 2015 18:03:00 +0100

powerstat (0.01.37-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix typo and update date in man page
  * Add CPU consumption stats to -H mode
  * Fix up style warnings from cppcheck
  * Fix up default start delay duration for RAPL

 -- Colin King <colin.king@canonical.com>  Wed, 15 Apr 2015 12:05:00 +0500

powerstat (0.01.36-1) unstable; urgency=medium

  * Makefile: bump version
  * Update date in manual
  * Add more precision to RAPL domain stats
  * Remove rapl_rates, stash per domain stats directly
  * Add -H histogram option
  * Only accumulate RAPL package power for total Watts in -R mode
  * Move fclose to fix a resource leak
  * Allow all RAPL power domains to be printed
  * Prevernt RAPL wrap around the correct way
  * Handle -ve values from RAPL
  * Cater for systems (such as VMs) that have RAPL interface but no domains
  * Add -R RAPL power measurement option

 -- Colin King <colin.king@canonical.com>  Sun, 29 Mar 2015 17:27:00 +0100

powerstat (0.01.35-1) unstable; urgency=medium

  * Makefile: bump version
  * Update copyright message in manual
  * Replace --help with -h in error message
  * Remove ACPI reference since it can run on non-ACPI systems

 -- Colin King <colin.king@canonical.com>  Mon, 2 Feb 2015 15:11:00 +0000

powerstat (0.01.34-1) unstable; urgency=medium

  * Makefile: bump version
  * Move a couple of variables to a different scope
  * Clarify ? & precedence
  * Rename "Machine" --> "Device" as this can be used on small devices
  * Make sample delay to be floating point, clean up error handling
  * Handle bad reads from /proc/stat and make these invalid
  * Forgot to free stats on error return paths
  * Increment time t only when a timeout has occurred
  * Add some more comments
  * Add check on /proc/stats read and abort if failed
  * Add '?' getopt handling
  * Add more checking when getting the time
  * Update copyright year
  * Remove SIGSEGV and SIGBUS traps
  * Simplify the delay time calculations based on start time

 -- Colin King <colin.king@canonical.com>  Fri, 16 Jan 2015 12:07:11 +0000

powerstat (0.01.33-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove trailing . from man page title
  * Improve signal handling, catch more signals
  * Remove some NULL comparisons
  * Make SANE_STATS macro a little more useful
  * Add better error checking on gettimeofday
  * Handle time() error returns
  * Add some more comments

 -- Colin King <colin.king@canonical.com>  Fri, 19 Dec 2014 14:32:00 +0000

powerstat (0.01.32-1) unstable; urgency=low

  * Makefile: bump version
  * Debian/control: update Standards-Versionb and Build-Depends
  * Close sock fd if not in error state
  * Ignore returns from close/fclose by explicit (void) cast
  * Tidy up overly long lines
  * Tidy up over long lines in stats_print()
  * Add more comments and tidy code for row_increment
  * Rename time_now() to get_time() to avoid time_now var clashes
  * Tidy up snprintfs and (void) the returns
  * Add check for log->item allocation failure

 -- Colin King <colin.king@canonical.com>  Fri, 14 Nov 2014 20:02:00 +0000

powerstat (0.01.31-1) unstable; urgency=low

  * Makefile: bump version
  * Handle incorrect option by dumping out help
  * constify a few more function parameters
  * Make max_readings, sample_delay and start_delay long ints, don't use atoi

 -- Colin King <colin.king@canonical.com>  Sun, 18 May 2014 23:26:32 +0100

powerstat (0.01.30-1) unstable; urgency=low

  * Makefile: bump version
  * Makefile: Fix make dist, use plain old tar to omit debian contents
  * Fix copyright
  * Add COPYING file

 -- Colin King <colin.king@canonical.com>  Thu, 20 Mar 2014 12:19:21 +0000

powerstat (0.01.29-1) unstable; urgency=low

  * Makefile: bump version
  * Avoid some potential buffer overflows

 -- Colin King <colin.king@canonical.com>  Fri, 14 Mar 2014 09:45:32 +0000

powerstat (0.01.28-1) unstable; urgency=low

  * Makefile: bump version
  * debain/control: update standards version
  * Re-work battery not connected failure message
  * Add -S option to compute standard average on capacity values
  * Fix comment
  * Move some variables to a lower scope

 -- Colin King <colin.king@canonical.com>  Thu, 23 Jan 2014 16:54:04 +0000

powerstat (0.01.27-1) unstable; urgency=low

  * Makefile: bump version
  * Update copyright date
  * Some minor code clean ups, no functional change
  * factor out rolling average calculation

 -- Colin King <colin.king@canonical.com>  Tue, 7 Jan 2014 16:26:00 +0000

powerstat (0.01.26-1) unstable; urgency=low

  * Makefile: bump version
  * Shorten help info to fit on 80 column tty
  * Allow idle threshold to be a double rather than an int
  * Add some (void)-ifcations
  * Constify a bunch of pointers
  * Fix build warning now we are using -Wextra
  * Makefile: add -Wextra

 -- Colin King <colin.king@canonical.com>  Thu, 28 Nov 2013 21:35:01 +0000

powerstat (0.01.25-1) unstable; urgency=low

  * Makefile: bump version
  * powerstat: don't abort if kernel does not support NETLINK_CONNECTOR

 -- Colin King <colin.king@canonical.com>  Wed, 3 Jul 2013 18:54:23 +0100

powerstat (0.01.24-1) unstable; urgency=low

  * Makefile: bump version
  * powerstat: handle -ve tv by forcing resample rather

 -- Colin King <colin.king@canonical.com>  Mon, 10 Jun 2013 20:01:59 +0100

powerstat (0.01.23-1) unstable; urgency=low

  * Makefile: bump version
  * powerstat: extra feedback when we cannot find a battery

 -- Colin King <colin.king@canonical.com>  Thu, 9 May 2013 00:13:49 +0100

powerstat (0.01.22-1) unstable; urgency=low

  * Makefile: bump version
  * powerstat: fix indentation that may lead to confusion
  * powerstat: tidy up list append in log_printf
  * powerstat: va_end is missing in error path in log_printf
  * powerstat: need to close sock if bind fails
  * powerstat: need to closedir on dir before we bail out on error return
  * powerstat: fix leak of info when there are no free slots in table
  * powerstat.8: ensure - sign is escaped in manual

 -- Colin King <colin.king@canonical.com>  Tue, 7 May 2013 16:41:12 +0100

powerstat (0.01.21-1) unstable; urgency=low

  * Makefile: bump version
  * powerstat: handle cases where -ve deltas occur from /proc/stat

 -- Colin King <colin.king@canonical.com>  Wed, 20 Mar 2013 16:01:05 +0000

powerstat (0.01.20-1) unstable; urgency=low

  * Makefile: bump version
  * debian: control: set Architecture to just linux-any

 -- Colin King <colin.king@canonical.com>  Tue, 19 Feb 2013 22:26:29 +0000

powerstat (0.01.19-1) unstable; urgency=low

  * Makefile: bump version
  * Correctly scan in HP design voltage for workaround case

 -- Colin King <colin.king@canonical.com>  Tue, 19 Feb 2013 14:16:23 +0000

powerstat (0.01.18-1) unstable; urgency=low

  * powerstat: minor whitespace cleanup
  * Makefile: bump version
  * Makefile: include CFLAGS and LDFLAGS into CC line
  * debian: rules: force dh_ to apply flags during make phase
  * Remove unwanted debian/powerstat.install
  * debian: control: update Standards-Version to 3.9.4
  * Put version number into the powerstat help info
  * powerstat: update copyright year
  * powerstat: shorten error message when machine is not discharging
  * fix typo in debian control

 -- Colin King <colin.king@canonical.com>  Tue, 19 Feb 2013 13:09:56 +0000

powerstat (0.01.17-1) unstable; urgency=low

  * Update version
  * Add support for /sys/class/power_supply (Closes: #679593)

 -- Colin King <colin.king@canonical.com>  Tue, 3 Jul 2012 11:48:44 +0100

powerstat (0.01.16-1) unstable; urgency=low

  * Initial Debian release (Closes: #678273)

 -- Colin King <colin.king@canonical.com>  Wed, 20 Jun 2012 15:47:02 +0100

powerstat (0.01.15-1) unstable; urgency=low

  * Update version
  * Fix debian/control Description lintian warning

 -- Colin King <colin.king@canonical.com>  Wed, 20 Jun 2012 14:06:11 +0100

powerstat (0.01.14-1) unstable; urgency=low

  * Bump version again
  * Update copyright year in source
  * Fix lintian errors in debian copyright file

 -- Colin King <colin.king@canonical.com>  Thu, 14 Jun 2012 10:07:23 +0100

powerstat (0.01.13-1) unstable; urgency=low

  * Update version once more
  * Update debian copyright

 -- Colin King <colin.king@canonical.com>  Wed, 13 Jun 2012 19:30:20 +0100

powerstat (0.01.12-1) unstable; urgency=low

  * Update version
  * Add in project homepage
  * Update manpage section and date
  * Update copyright URL
  * Make description more litian friendly
  * Fix typo on debian/watch

 -- Colin King <colin.king@canonical.com>  Wed, 13 Jun 2012 19:21:00 +0100

powerstat (0.01.11-1) unstable; urgency=low

  * Update version in Makefile
  * Add debian/watch file
  * Update Maintainer field and add Kamal Mostafa as an Uploader

 -- Colin King <colin.king@canonical.com>  Tue, 12 Jun 2012 18:47:48 +0100

powerstat (0.01.10-1) unstable; urgency=low
    
  * Add dist rule to Makefile
  * Add debian/source format
  * debian: control: update Standards-Version to 3.9.3
  * debian: control: fix Section
  * debian: control: fix Description

 -- Colin King <colin.king@canonical.com>  Tue, 12 Jun 2012 16:46:23 +0100

powerstat (0.01.09) precise; urgency=low
    
  * Fix typo

 -- Colin King <colin.king@canonical.com>  Wed, 22 Feb 2012 16:42:00 +0000

powerstat (0.01.08) precise; urgency=low
    
  * Handle broken HP battery info

 -- Colin King <colin.king@canonical.com>  Tue, 21 Feb 2012 16:25:00 +0000

powerstat (0.01.07) precise; urgency=low
    
  * Cater for critical discharging state too

 -- Colin King <colin.king@canonical.com>  Tue, 10 Jan 2012 17:29:00 +0000

powerstat (0.01.06) precise; urgency=low

  * Fix start delay time in message

 -- Colin King <colin.king@canonical.com>  Tue, 6 Dec 2011 12:16:00 +0000

powerstat (0.01.05) precise; urgency=low

  * Fix stupid cut-n-paste error in man page

 -- Colin King <colin.king@canonical.com>  Mon, 28 Nov 2011 11:35:00 +0000

powerstat (0.01.04) precise; urgency=low

  * Only output power stats when valid data is available.
  * Don't to task monitoring with non-root privilege.
  * Tidy up count down delay.
  * If battery supplies a rate, don't flag it as an estimate.

 -- Colin King <colin.king@canonical.com>  Mon, 28 Nov 2011 11:04:00 +0000

powerstat (0.01.03) precise; urgency=low

  * Add some slop to ensure multiple ~1 second updates make up 120 seconds of samples
  * debian: remove cdbs Build-Depends

 -- Colin King <colin.king@canonical.com>  Fri, 25 Nov 2011 19:46:00 +0000

powerstat (0.01.02) precise; urgency=low

  * bump start delay to 3 mins add comments
  * Minor whitespace tab cleanups
  * minor alignment tweaks
  * const func args
  * Ensure we run for at least 5 mins of real data gathering.
  * handle broken batteries that don't supply a rate

 -- Colin King <colin.king@canonical.com>  Fri, 25 Nov 2011 19:19:00 +0000

powerstat (0.01.01) precise; urgency=low

  * fix typo in man page
  * Makefile: add manpage and some minor debian helps

 -- Colin King <colin.king@canonical.com>  Wed, 16 Nov 2011 19:28:00 +0000

powerstat (0.01.00) precise; urgency=low

  * Initial version 

 -- Colin King <colin.king@canonical.com>  Wed, 16 Nov 2011 12:15:00 +0000
